# Gimp.file_get_utf8_name

    @accepts(Gio.File)
    @returns(unicode)
    def file_get_utf8_name(file):
        # Python wrapper for gimp_file_get_utf8_name()

This function works like Gimp.filename_to_utf8 and returns a UTF-8 encoded string that does not need to be freed.

It converts a Gio.File's path or uri to UTF-8 temporarily. The return value is a pointer to a string that is guaranteed to be valid only during the current iteration of the main loop or until the next call to Gimp.file_get_utf8_name.

The only purpose of this function is to provide an easy way to pass a Gio.File's name to a function that expects an UTF-8 encoded string.

See g_file_get_parse_name().

Since 2.10

file

  a Gio.File

Returns